<?php
	function createDbConnection(){
		//DB CONNECTION
		$config = array(
			"hostname" => "mysql51.rozhled.cz",
			"dbuser" => "andersonova",
			"dbpassword" => "andr385639db",
			"dbname" => "andersonova"
		);

		$mysqli = mysqli_connect($config['hostname'], $config['dbuser'], $config['dbpassword'], $config['dbname']);

		//CHECK CONNECTION
		if (mysqli_connect_errno()){
			$err = "Connect failed:" . mysqli_connect_error();
			echo $err;
		}

		return $mysqli;
	}

	function getPassageTable($date){
		$mysqli = createDbConnection();

		//SELECT ALL DATA FROM PASSAGE DB
		$sql = "SELECT * FROM passage WHERE `date` >= date(\"".$date."\") AND `date` < date(\"".$date."\") + INTERVAL 1 DAY ORDER BY `date`;";
		$result = $mysqli->query($sql);

		$record = 1;

		while ($obj = $result->fetch_object()){
			$tableBody = $tableBody . 
			"<tr>
				<td>" . $record++ . "</td>
				<td>" . $obj->date . "</td>
				<td>" . $obj->count . "</td>
				<td>" . $obj->type . "</td>
			</tr>";
		}

		return $tableBody;
	}

	function getPassageGraphData($date){
		$mysqli = createDbConnection();
		global $checkScriptPassage;

		//SELECT DATA FROM PASSAGE DB AND PREPARE DATA FOR DISPLAY IN GRAPH
		$sql = "SELECT HOUR(`date`) AS hours, SUM(`count`) AS `passage`" . "FROM (SELECT * FROM `passage` WHERE 
		DATE(`date`) = DATE('".$date."')) AS T GROUP BY HOUR(`date`)";
		$result_graph = $mysqli->query($sql);

		$sum_count = 0;
        $lastvalue = -1;
        
		while($row = $result_graph->fetch_object()){
            if ($lastvalue == -1){
				$lastvalue = $row->hours - 1;
			} 

			while ($lastvalue < ($row->hours - 1)){
                $graphLabels = $graphLabels . "'" . ($lastvalue + 1) . "',";
			    $graphValues = $graphValues . $sum_count . ",";
				$lastvalue = $lastvalue + 1;
			}

			$checkScriptPassage = "passage";
            $sum_count = $sum_count + $row->passage;

            if ($lastvalue == ($row->hours - 1)){
                $graphLabels = $graphLabels . "'" . ($lastvalue + 1) . "',";
			    $graphValues = $graphValues . $sum_count . ",";
				$lastvalue = $lastvalue + 1;
			}
		} 

		return array('graphLabels' => $graphLabels, 'graphValues' => $graphValues);
	}

	function getUniqMacTable($date){
		$mysqli = createDbConnection();

		//SELECT ALL DATA FROM CONNECTEDMAC DB FOR PRINT TABLE
		$sql = "SELECT `date`, `mac`, `ap_ssid`, count(*) AS \"count\" FROM `connectedMac` WHERE 
		`date` >= date(\"".$date."\") AND `date` < date(\"".$date."\") + INTERVAL 1 DAY GROUP BY `mac` ORDER BY `date`;";
		$result = $mysqli->query($sql);

		$record = 1;

		while ($obj = $result->fetch_object()){
			$tableBody = $tableBody . 
			"<tr>
				<td>" . $record++ . "</td>
				<td>" . $obj->date . "</td>
				<td>" . $obj->mac . "</td>
				<td>" . $obj->ap_ssid . "</td>
				<td>" . $obj->count . "</td>
			</tr>";
		}

		return $tableBody;
	}

	function getUniqMacGraphData($date){
		$mysqli = createDbConnection();
		global $checkScriptMac;

		//SELECT DATA FROM CONNECTEDMAC DB AND PREPARE DATA FOR DISPLAY IN GRAPH
		$sql = "SELECT HOUR(`date`) AS hours, COUNT(`mac`) AS `uniqMac`" . "FROM (SELECT * FROM `connectedMac` WHERE 
		DATE(`date`) = DATE('".$date."') GROUP BY `mac`) AS T GROUP BY HOUR(`date`)";
		$resultGraph = $mysqli->query($sql);

		$lastValue = -1;

		while ($row = $resultGraph->fetch_object()){
			if ($lastValue == -1){
				$lastValue = $row->hours - 1;
			}

			$checkScriptMac = "mac";

			while ($lastValue <= ($row->hours - 1)){
				$graphLabels = $graphLabels . "'" . ($lastValue + 1) . "',";
				
				if (($row->hours - $lastValue) == 1){
					$graphValues = $graphValues . $row->uniqMac . ",";
				}else{
					$graphValues = $graphValues . "0" . ",";
				}

				$lastValue = $lastValue + 1;
			}	
		}

		return array('graphLabels' => $graphLabels, 'graphValues' => $graphValues);
	}
?>