<script src="/assets/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/feather-icons@4.28.0/dist/feather.min.js" integrity="sha384-uO3SXW5IuS1ZpFPKugNNWqTZRRglnUJK6UAZ/gxOX80nxEkN9NcGZTftn6RzhGWE" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.4/dist/Chart.min.js" integrity="sha384-zNy6FEbO50N+Cg5wap8IKA4M/ZnLJgzc6w2NqACZaK0u0FXfOWRRJOnQtpZun8ha" crossorigin="anonymous"></script>

<script>
	(() => {
		'use strict'

		feather.replace({ 'aria-hidden': 'true' })

		//GRAPHS
		const ctx = document.getElementById('myChart')

		//ESLINT-DISABLE-NEXT-LINE NO-UNUSED-VARS
		const myChart = new Chart(ctx,{
			type: 'line',
			data: {
				labels: [
					<?php echo $graphLabels; ?>
				],
				datasets: [{
					data: [
						<?php echo $passageGraphData["graphValues"]; ?>
					],
					lineTension: 0,
					backgroundColor: 'transparent',
					borderColor: '#007bff',
					borderWidth: 4,
					pointBackgroundColor: '#007bff'
				},{
					data: [
						<?php echo $uniqMacGraphData["graphValues"]; ?>
					],
					lineTension: 0,
					backgroundColor: 'transparent',
					borderColor: '#198754',
					borderWidth: 4,
					pointBackgroundColor: '#198754'
				}]
			},
			options: {
				scales: {
					yAxes: [{
						ticks: {
							beginAtZero: true,
							precision: 0
						}
					}]
				},
				legend: {
					display: false
				}
			}
		})
	})()
</script>