/* globals Chart:false, feather:false */

(() => {
  'use strict'

  feather.replace({ 'aria-hidden': 'true' })

  // Graphs
  const ctx = document.getElementById('myChart')
  // eslint-disable-next-line no-unused-vars
  const myChart = new Chart(ctx, {
    type: 'line',
    data: {
      labels: [
        '0:00 - 1:00 ',
        '1:01 - 2:00',
        '2:01 - 3:00',
        '3:01 - 4:00',
        '4:01 - 5:00',
        '5:01 - 6:00',
        '6:01 - 7:00',
        '7:01 - 8:00',
        '8:01 - 9:00',
        '9:01 - 10:00',
        '10:01 - 11:00',
        '11:01 - 12:00',
        '12:01 - 13:00',
        '13:01 - 14:00',
        '14:01 - 15:00',
        '15:01 - 16:00',
        '16:01 - 17:00',
        '17:01 - 18:00',
        '18:01 - 19:00',
        '19:01 - 20:00',
        '20:01 - 21:00',
        '21:01 - 22:00',
        '22:01 - 23:00',
        '23:01 - 24:00'
      ],
      datasets: [{
        data: [
          80,
          70,
          60,
          50,
          40,
          30,
          20,
          10,
          0
        ],
        lineTension: 0,
        backgroundColor: 'transparent',
        borderColor: '#007bff',
        borderWidth: 4,
        pointBackgroundColor: '#007bff'
      }]
    },
    options: {
      scales: {
        yAxes: [{
          ticks: {
            beginAtZero: false
          }
        }]
      },
      legend: {
        display: false
      }
    }
  })
})()
